org.apache.fop.pdf

## Class PDFOutputIntent

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFOutputIntent

- All Implemented Interfaces:
    PDFWritable

      public class PDFOutputIntent
      extends PDFObject

  Represents the OutputIntent dictionary.
  Since:
    PDF 1.4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GTS_PDFA1` Subtype for PDF/A-1 output intents
    `static String` | `GTS_PDFX` Subtype for PDF/X output intents

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFOutputIntent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFICCStream` | `getDestOutputProfile()`
    `String` | `getInfo()`
    `String` | `getOutputCondition()`
    `String` | `getOutputConditionIdentifier()`
    `String` | `getRegistryName()`
    `String` | `getSubtype()`
    `void` | `setDestOutputProfile(PDFICCStream destOutputProfile)` Sets the destination ICC profile.
    `void` | `setInfo(String info)` Sets the Info field.
    `void` | `setOutputCondition(String outputCondition)` Sets the human-readable form of the output condition.
    `void` | `setOutputConditionIdentifier(String outputConditionIdentifier)` Sets the identifier for the output condition.
    `void` | `setRegistryName(String registryName)` Sets the registry name.
    `void` | `setSubtype(String subtype)` Sets the output intent subtype.
    `byte[]` | `toPDF()` Encodes the object as a byte array for output to a PDF file.

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getChildren, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, output, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GTS_PDFX

          public static final String GTS_PDFX

      Subtype for PDF/X output intents
      See Also:
        Constant Field Values

    - #### GTS_PDFA1

          public static final String GTS_PDFA1

      Subtype for PDF/A-1 output intents
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PDFOutputIntent

          public PDFOutputIntent()

  - ### Method Detail

    - #### getSubtype

          public String getSubtype()

      Returns:
        the output intent subtype.

    - #### setSubtype

          public void setSubtype(String subtype)

      Sets the output intent subtype.
      Parameters:
        `subtype` - the subtype (usually "GTS_PDFX")

    - #### getOutputCondition

          public String getOutputCondition()

      Returns:
        the OutputCondition field

    - #### setOutputCondition

          public void setOutputCondition(String outputCondition)

      Sets the human-readable form of the output condition.
      Parameters:
        `outputCondition` - A text string concisely identifying the intended output device or production condition in human-readable form.

    - #### getOutputConditionIdentifier

          public String getOutputConditionIdentifier()

      Returns:
        the OutputConditionIdentifier field

    - #### setOutputConditionIdentifier

          public void setOutputConditionIdentifier(String outputConditionIdentifier)

      Sets the identifier for the output condition.
      Parameters:
        `outputConditionIdentifier` - A string identifying the intended output device or production condition in human- or machine-readable form.

    - #### getRegistryName

          public String getRegistryName()

      Returns:
        the RegistryName field

    - #### setRegistryName

          public void setRegistryName(String registryName)

      Sets the registry name.
      Parameters:
        `registryName` - A string (conventionally a uniform resource identifier, or URI) identifying the registry in which the condition designated by OutputConditionIdentifier is defined.

    - #### getInfo

          public String getInfo()

      Returns:
        the Info field

    - #### setInfo

          public void setInfo(String info)

      Sets the Info field.
      Parameters:
        `info` - A human-readable text string containing additional information or comments about the intended target device or production condition.

    - #### getDestOutputProfile

          public PDFICCStream getDestOutputProfile()

      Returns:
        the DestOutputProfile

    - #### setDestOutputProfile

          public void setDestOutputProfile(PDFICCStream destOutputProfile)

      Sets the destination ICC profile.
      Parameters:
        `destOutputProfile` - An ICC profile stream defining the transformation from the PDF document's source colors to output device colorants.

    - #### toPDF

          public byte[] toPDF()

      Encodes the object as a byte array for output to a PDF file.
      Overrides:
        `toPDF` in class `PDFObject`
      Returns:
        PDF string

Copyright © 2025 Apache Software Foundation. All rights reserved.